Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class SimpleDescription

    java.lang.Object
      org.apache.muse.core.AbstractCapability
          org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
              org.apache.muse.ws.dm.muws.impl.AbstractManageabilityCapability
                  org.apache.muse.ws.dm.muws.impl.SimpleDescription

All Implemented Interfaces:
  Capability, Description, Initialization, InitializationParameters, ManageabilityCapability, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

public class SimpleDescription
extends AbstractManageabilityCapability
implements Description

SimpleDescription is Muse's default implementation of the WSDM Description capability.

Author:
  Dan Jemiolo (danj)

Field Summary

Fields inherited from interface org.apache.muse.ws.dm.muws.Description
`PROPERTIES`

Constructor Summary
`SimpleDescription()`

Method Summary
`java.lang.String[]` | `getCaption()`
`java.lang.String[]` | `getDescription()`
`QName[]` | `getPropertyNames()` Concrete capability classes that define properties MUST override this method and provide the names of the properties.
`java.lang.String` | `getVersion()`
`void` | `setCaption(java.lang.String[] captions)`
`void` | `setDescription(java.lang.String[] descriptions)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class org.apache.muse.ws.dm.muws.impl.AbstractManageabilityCapability
`initializeCompleted`

Methods inherited from class org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
`createGettersAndSetters, deleteProperty, getGetter, getProperty, getPropertyElements, getSetter, getWsResource, initialize, insertProperty, invokeMethod, setResource, updateProperty`

Methods inherited from class org.apache.muse.core.AbstractCapability
`getActions, getCapabilityURI, getEnvironment, getInitializationParameter, getInitializationParameters, getLog, getMessageHandler, getPersistence, getResource, hasBeenInitialized, hasBeenShutdown, prepareShutdown, setCapabilityURI, setEnvironment, setInitializationParameters, setLog, setMessageHandler, setMessageHandlers, setPersistence, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Constructor Detail

### SimpleDescription

    public SimpleDescription()

Method Detail

### getCaption

    public java.lang.String[] getCaption()

  Specified by:
    `getCaption` in interface `Description`

### getDescription

    public java.lang.String[] getDescription()

  Specified by:
    `getDescription` in interface `Description`

### getPropertyNames

    public QName[] getPropertyNames()

  Description copied from interface: `org.apache.muse.ws.resource.WsResourceCapabilityProperties`
  Concrete capability classes that define properties MUST override this method and provide the names of the properties.

  Specified by:
    `getPropertyNames` in interface `org.apache.muse.ws.resource.WsResourceCapabilityProperties`
  Overrides:
    `getPropertyNames` in class `AbstractWsResourceCapability`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `Description`

### setCaption

    public void setCaption(java.lang.String[] captions)

  Specified by:
    `setCaption` in interface `Description`

### setDescription

    public void setDescription(java.lang.String[] descriptions)

  Specified by:
    `setDescription` in interface `Description`

### setVersion

    public void setVersion(java.lang.String version)

  Specified by:
    `setVersion` in interface `Description`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD